using System;
using Decal.Interop.Render;

namespace Decal.Adapter.Wrappers;

[CLSCompliant(true)]
public class Background : HudRenderTarget
{
	private HUDBackground internalBackground;

	internal HUDBackground Underlying => internalBackground;

	internal Background(HUDBackground background)
		: base(background)
	{
		internalBackground = background;
	}

	public Background Clone()
	{
		return new Background(internalBackground.Clone());
	}

	protected override void Dispose(bool disposing)
	{
		internalBackground = null;
		base.Dispose(disposing);
	}
}
